statgrab(1)

NAME
statgrab - sysctl-style interface to system statistics

SYNOPSIS
statgrab
[OPTION]... [STAT]...

DESCRIPTION
statgrab provides a sysctl-style interface to all the system statistics available through libstatgrab. This is useful for applications that don't want to make library calls, but still want to access the statistics.

An example of such an application is mrtg, for which scripts are provided to generate configuration files.

OPTIONS
The following options are supported.

\FC-l\F[]
    Linux sysctl-style output (default)

\FC-b\F[]
    BSD sysctl-style output

\FC-m\F[]
    MRTG-compatible output

\FC-u\F[]
    Plain output (only show values)

\FC-n\F[]
    Display cumulative stats once (default)

\FC-s\F[]
    Display stat differences repeatedly

\FC-o\F[]
    Display stat differences once

\FC-t\F[] DELAY
    When repeating, wait DELAY seconds between updates (default 1)

\FC-p\F[]
    Display CPU usage differences as percentages rather than absolute values

\FC-f\F[] FACTOR
    Display floating-point values as integers scaled by FACTOR

\FC-K\F[]
    Display byte counts in kibibytes

\FC-M\F[]
    Display byte counts in mebibytes

\FC-G\F[]
    Display byte counts in gibibytes

If no \FCSTAT\F[] options are given, all will be displayed. Specify 'STAT.' to display all statistics starting with that prefix.

SEE ALSO
statgrab-make-mrtg-config(1) statgrab-make-mrtg-index(1) saidar(1) statgrab(3)

AUTHORS
This man page was derived from the man page written by Bartosz Fenski for the Debian GNU/Linux distribution.

WEBSITE
⟨http://www.i-scream.org/libstatgrab/⟩